// $Id: opengrid.js,v 1.5 2010/08/14 00:25:31 mauro72 Exp $

Drupal.behaviors.opengrid = function(context) {
  var myWidth = 0, myHeight = 0;
  if (typeof(window.innerWidth) == 'number') {
    //Non-IE
    myWidth = window.innerWidth;
    myHeight = window.innerHeight;
  }
  else if (document.documentElement && (document.documentElement.clientWidth || document.documentElement.clientHeight)) {
    //IE 6+ in 'standards compliant mode'
    myWidth = document.documentElement.clientWidth;
    myHeight = document.documentElement.clientHeight;
  }
  else if(document.body && (document.body.clientWidth || document.body.clientHeight)) {
    //IE 4 compatible
    myWidth = document.body.clientWidth;
    myHeight = document.body.clientHeight;
  }
  //add hover class for IE crap
  $('.messages:not(.message-processed)',context).addClass('message-processed').each(function(e){
    var options = {
      handle: '.messages',
    };
    
    var height = $('.messages').height();
    topVal=e.pageY-(2*height)+"px";    
    //$(this).css({left:'50px',top: topVal}).draggable(options);     
  });
  
  $('.inner-message .close').hover(function(){
    $(this).addClass('hover');
  }, function() {
    $(this).removeClass("hover");
  });  
  
  $('.messages .close').click(function(){
    $(this).parent().parent().hide('slow');  
  });
  
  $('div.tabs:not(.tabs-processed)',context).addClass('tabs-processed').each(function(){
    $(this).addClass('hidden-menu');
    $(this).mouseover(function(){
      $(this).addClass('show-tabs');  
    }).mouseout(function(){
      $(this).removeClass('show-tabs');  
    });
  });  
 
};
